From mhoffman@lightlink.com Mon May  2 20:38:29 2005
Date: Mon, 2 May 2005 23:35:45 -0400
From: "Mark M. Hoffman" <mhoffman@lightlink.com>
To: linux-usb-devel@lists.sourceforge.net, Greg KH <greg@kroah.com>
Subject: USB: trivial error path fix

Trivial fix to USB class-creation error path; please apply.

Signed-off-by: Mark M. Hoffman <mhoffman@lightlink.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

--- linux-2.6.12-rc3-mm2.orig/drivers/usb/core/file.c	2005-05-01 08:44:29.000000000 -0400
+++ linux-2.6.12-rc3-mm2/drivers/usb/core/file.c	2005-05-02 23:16:17.000000000 -0400
@@ -82,6 +82,7 @@ int usb_major_init(void)
 
 	usb_class = class_create(THIS_MODULE, "usb");
 	if (IS_ERR(usb_class)) {
+		error = PTR_ERR(usb_class);
 		err("class_create failed for usb devices");
 		unregister_chrdev(USB_MAJOR, "usb");
 		goto out;
-- 
Mark M. Hoffman
mhoffman@lightlink.com

